fbterm-1.7-lp151.2.4.x86_64.rpm


Advertisement

Description

fbterm - A fast framebuffer-based terminal emulator

Property Value
Distribution openSUSE Leap 15.1
Repository openSUSE Oss all
Package filename fbterm-1.7-lp151.2.4.x86_64.rpm
Package name fbterm
Package version 1.7
Package release lp151.2.4
Package architecture x86_64
Package type rpm
Category System/Console
Homepage http://code.google.com/p/fbterm/
License GPL-2.0+
Maintainer -
Download size 67.73 KB
Installed size 138.30 KB
FbTerm is a fast terminal emulator for linux with frame buffer device.
Features include:
* mostly as fast as terminal of linux kernel while accelerated scrolling
is enabled on framebuffer device
* select font with fontconfig and draw text with freetype2, same as
Qt/Gtk+ based GUI apps
* dynamicly create/destroy up to 10 windows initially running default shell
* record scrollback history for every window
* auto-detect current locale and convert text encoding, support double
width scripts like Chinese, Japanese etc
* switch between configurable additional text encodings with hot keys
on the fly
* copy/past selected text between windows with mouse when gpm server is
running
* change the orientation of screen display, a.k.a. screen rotation
* lightweight input method framework with client-server architecture
Authors:
--------
dragchan <zgchan317@gmail.com>

Alternatives

Package Version Architecture Repository
fbterm - - -

Requires

Name Value
libc.so.6(GLIBC_2.15)(64bit) -
libfontconfig.so.1()(64bit) -
libfreetype.so.6()(64bit) -
libstdc++.so.6()(64bit) -
libstdc++.so.6(CXXABI_1.3)(64bit) -
libstdc++.so.6(CXXABI_1.3.9)(64bit) -
libstdc++.so.6(GLIBCXX_3.4)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.15)(64bit) -
libutil.so.1()(64bit) -
libutil.so.1(GLIBC_2.2.5)(64bit) -

Provides

Name Value
fbterm = 1.7-lp151.2.4
fbterm(x86-64) = 1.7-lp151.2.4

Download

Type URL
Mirror widehat.opensuse.org
Binary Package fbterm-1.7-lp151.2.4.x86_64.rpm
Source Package fbterm-1.7-lp151.2.4.src.rpm

Install Howto

Install fbterm rpm package:

# zypper install fbterm

Files

Path
/usr/bin/fbterm
/usr/share/doc/packages/fbterm/AUTHORS
/usr/share/doc/packages/fbterm/COPYING
/usr/share/doc/packages/fbterm/ChangeLog
/usr/share/doc/packages/fbterm/README
/usr/share/man/man1/fbterm.1.gz

Changelog

2016-06-17 - tiwai@suse.de
- Fix build error with gcc6 (boo#985146)
fbterm-gcc6-fixes.patch
2014-10-06 - jengelh@inai.de
- Drop ancient spec tags, use modern macros for building,
enable parallel build, use source URLs.
2012-03-27 - hillwood@linuxfans.org
- license update: GPL-2.0+
- Fix build for openSUSE 12.2
2011-10-12 - tiwai@suse.de
- updated to version 1.7: lots of fixes, also fix build on FACTORY
- add -fno-strict-aliasing for workaround of type-punning in some
codes
2009-05-11 - tiwai@suse.de
- updated to version 1.4:
* improved text rendering performence
* added private escape sequences for 256 color mode support
* added a option "font-width" to adjust character cell width
* added support for older 2.2/2.4 kernel
* fixed a crash bug with bitmap fonts
* fixed a configure failure in cross-compiling environment
- updated to version 1.5:
* added support for text rendering with backround image
* added command-line arguments to customize command executed in
sub-window
* added Alt-Fn and all FbTerm's shortcuts support when input
method is actived
* added option "-v/--verbose" to show some useful information
* fixed some text color issues with version 1.4
* fixed encoding selection error when locale is C/POSIX
* fixed a bug where screen is cleared on startup even in inactive
tty
* fixed a bug where variable HOME is not defined
- Add gpm and ncurses-devel to buildrequires
2009-01-07 - tiwai@suse.de
- initial version: 1.3
setuid bit is disabled as now

See Also

Package Description
fcitx-4.2.9.6-lp151.2.5.x86_64.rpm Flexible Context-aware Input Tool with eXtension
fcitx-anthy-0.2.3-lp151.2.4.x86_64.rpm Japanese Anthy IME Wrapper for Fcitx
fcitx-branding-openSUSE-4.2.9.6-lp151.2.5.noarch.rpm openSUSE default Skins for Fcitx
fcitx-chewing-0.2.3-lp151.2.4.x86_64.rpm Chewing Wrapper for Fcitx
fcitx-cloudpinyin-0.3.6-lp151.2.3.x86_64.rpm Cloudpinyin module for fcitx
fcitx-config-gtk3-0.4.10-lp151.2.3.x86_64.rpm GTK GUI Config tool for FCITX
fcitx-devel-4.2.9.6-lp151.2.5.x86_64.rpm Development files for fcitx
fcitx-fbterm-0.2.0-lp151.2.2.x86_64.rpm Fbterm Support for Fcitx
fcitx-googlepinyin-0.1.6-lp151.2.2.x86_64.rpm Googlepinyin module for fcitx
fcitx-gtk2-32bit-4.2.9.6-lp151.2.5.x86_64.rpm Gtk2 IM module for fcitx
fcitx-gtk2-4.2.9.6-lp151.2.5.x86_64.rpm Gtk2 IM module for fcitx
fcitx-gtk3-32bit-4.2.9.6-lp151.2.5.x86_64.rpm Gtk3 IM module for fcitx
fcitx-gtk3-4.2.9.6-lp151.2.5.x86_64.rpm Gtk3 IM module for fcitx
fcitx-hangul-0.3.1-lp151.2.4.x86_64.rpm Hangul Module for Fcitx IM Framework
fcitx-kkc-0.1.4-lp151.2.3.x86_64.rpm Japanese KKC IME Wrapper for Fcitx
Advertisement
Advertisement